> For the complete documentation index, see [llms.txt](https://developers.hyp.co.il/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/showing-saved-credit-cards.md).

# Showing Saved Credit Cards

After [saving a customer's credit card for future use](https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/suggesting-to-save-credit-card-data.md), you can display the saved card on the customer's next visit to the payment page. The customer will need to select the saved card, as identified by its brand and the last 4 digits, but won't have to re-enter the full card details. The customer will only need to enter the CVV and, when applicable, the number of installments.

Here's an example of a payment page that suggests a saved credit card:

![A payment page that suggests a saved credit card](https://3255314327-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FQDmIAW4sQ20lCItJGzcS%2Fuploads%2Fgit-blob-ac1df76e3845375eeb636366a72ed68407d01264%2Fimage.png?alt=media)

To display one or more saved credit cards, use the `paymentMethods` array in the `uiCustomData` object. Inside the array, you can specify a saved credit card by creating an object with `"type": "token"` and two more properties representing the saved token and card expiration date. For example, here's how you would include two saved credit cards to show in the payment page:

```json
<paymentPageData>
    <ppsJSONConfig>
    {
         "uiCustomData": {
             "paymentMethods": [
                 {"type":"token", 
                      "token":"1066083457795999", 
                      "cardExpiration":"0130"},
                 {"type":"token", 
                      "token":"1069993457795000", 
                      "cardExpiration":"0127"}
             ]  
         }
    }
    </ppsJSONConfig>
</paymentPageData>
```

If you only pass one saved credit card, and your payment page is used in a [3-D Secure](https://developers.hyp.co.il/enterprise/3-d-secure-integration/introduction-to-3ds.md) terminal where CVV entry is not required, then you can use the `autoSubmit` parameter. This results in immediate payment processing as soon as the customer selects the saved card:

```json
<paymentPageData>
    <ppsJSONConfig>
    {
       "uiCustomData": {
           "paymentMethods": [
                {"type":"token", 
                    "token":"1066083457795999", 
                    "cardExpiration":"0130",
                    "autoSubmit":true
                }
           ]  
       }
    }
    </ppsJSONConfig>
</paymentPageData>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/showing-saved-credit-cards.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
